Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.chat
Class ChatUserModel

    java.lang.Object
      |
      +--org.opencyc.chat.ChatUserModel

public class ChatUserModel
extends java.lang.Object

Provides a chat user model.

Implemented as a simple property dictionary.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected java.util.HashMap` | `attributes` Dictionary of attribute and object values.
`protected boolean` | `isInitialized` Indicates that the user model is completely restored from the KB.

Constructor Summary
`ChatUserModel(java.lang.String chatUserUniqueId)` Constructs a new ChatUserModel object.

Method Summary
`java.lang.Object` | `get(java.lang.Object attribute)` Returns the value for the given attribute.
`void` | `initialize()` Initializes the user model.
`void` | `set(java.lang.String attribute, java.lang.Object value)` Sets the value for the given attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isInitialized

    protected boolean isInitialized

  Indicates that the user model is completely restored from the KB.

### attributes

    protected java.util.HashMap attributes

  Dictionary of attribute and object values.

Constructor Detail

### ChatUserModel

    public ChatUserModel(java.lang.String chatUserUniqueId)

  Constructs a new ChatUserModel object.
  Parameters:
    `chatUserUniqueId` - the unique id assigned to the user by the chat system

Method Detail

### initialize

    public void initialize()

  Initializes the user model.

### set

    public void set(java.lang.String attribute,
                    java.lang.Object value)

  Sets the value for the given attribute.
  Parameters:
    `attribute` - the key object
    `value` - the value object

### get

    public java.lang.Object get(java.lang.Object attribute)

  Returns the value for the given attribute.
  Parameters:
    `attribute` - the key object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD